Skip to content
Documentation

Invite User To Organization

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

organization

​

Invite User To Organization

​

Path Parameters

  • Integer numbers.

Body·AddUserRequest

required
application/json
  • Email address of the user to invite.

  • Display name to show for the invited user.

  • Role to grant the invited user within the organization.

    values
    readbillingwriteadminowner

Responses

  • application/json
  • application/json
Request Example for post/org/{organization_id}/invite-user
curl /org/1/invite-user \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "email": "",
  "name": "",
  "role": "write"
}'
{
  "additionalProperty": "anything"
}